﻿:root {
    --safe-top: env(safe-area-inset-top);
    --safe-right: env(safe-area-inset-right);
    --safe-bottom: env(safe-area-inset-bottom);
    --safe-left: env(safe-area-inset-left);
    /*--app-bg: url("/images/bg-1080x1920.webp");*/
}

html, body {
    height: 100%
}

body {
    margin: 0;
    -webkit-text-size-adjust: 100%;
    background: #000;
    overscroll-behavior-y: contain;
    touch-action: manipulation;
}

input, select, textarea, button {
    font-size: 16px
}
/* évite zoom iOS */
button, .btn, a, .control {
    min-height: 48px
}

* {
    -webkit-tap-highlight-color: transparent
}

/* PWA chrome standalone: couleur barre d'état iOS */
@supports(padding:max(0px)) {
    body {
        padding-bottom: max(var(--safe-bottom),0px)
    }
}


.wallet-grid {
    position: relative;
    min-height: 100dvh;
    padding: calc(52px + var(--safe-top)) 10px calc(72px + var(--safe-bottom)) 10px; /* 52px pour laisser la topbar */
    display: grid;
    grid-template-rows: auto 1fr;
}

.reg-grid {
    position: relative;
    min-height: 100dvh;
    padding: calc(52px + var(--safe-top)) calc(8px + var(--safe-right)) calc(16px + var(--safe-bottom)) calc(8px + var(--safe-left));
    display: flex;
    align-items: center;
    justify-content: center;
}

